
Testing - Bug # 471

Status: Resolved Priority: Could have
Author: Malte Jansen Category:
Created: 2008-04-16 Assigned To: Robert Lemke
Updated: 2010-10-20 Due date:
Subject: Crash of Apache on Windows
Description

If I run the TestRunner on any package, the apache shuts down (or sometimes restarts).

Following Error is logged:

[Wed Apr 16 20:15:23 2008] [notice] Parent: child process exited with status 3221225477 -- Restarting.

Via google I found this hint for the php.ini:

output_buffering = On

The result is, that the first lines are shown, but the apache still shuts down...

Associated revisions
Revision 29ef6e73 - 2008-06-05 17:01 - Karsten Dambekalns
Testing:
    -  Switched off $GLOBALS backup, this fixes crashes on Windows and makes the tests run twice as fast, refs #371, fixes #471

History
#1 - 2008-04-17 09:45 - Robert Lemke
- Status changed from New to Needs Feedback

Which PHP Version? Which operating system? Which Apache version?

Maybe this is your problem:
http://bugs.php.net/bug.php?id=44226

#2 - 2008-04-17 18:07 - Malte Jansen

I'm using:
Win XP Pro SP 2
Apache/2.2.6 (Win32, Xampp)
PHP/5.2.4 (Xampp)

Could also be this problem, because here is the same apache-error mentioned.
http://bugs.php.net/bug.php?id=44546
I will try to use a newer version of PHP.

#3 - 2008-04-17 19:05 - Malte Jansen

With
PHP/5.2.5 there is no change...

#4 - 2008-04-17 19:27 - Malte Jansen

If removed all

try {} catch {}

Still using the content of the try-part.

The error still appears.

I forgot to mention. The first to tests are displayed...

#5 - 2008-04-17 22:26 - Malte Jansen

I have made some further tests.

It does not matter, if there is one single test, which succeeds or fails. The apache always crashes...

#6 - 2008-04-18 18:42 - Tim Eilers

Same here with newest original code.

XP Pro SP2
Apache 2.2.8 (Win32)
PHP 5.2.5
(xampp)

I am getting exactly the same error Malte mentioned above (same number, too)!

#7 - 2008-04-23 13:48 - Malte Jansen

The problem occurse due to line 61 (
http://forge.typo3.org/repositories/annotate/packages-testing/trunk/Classes/Controller/F3_Testing_Controller_Default.php)

But if this line is missing some general PHPunit-error occured.

#8 - 2008-04-23 21:44 - Tim Eilers

400 MB memory for php - apache still crashes.
#9 - 2008-05-29 09:55 - Robert Lemke
- Estimated time set to 0.00

Hi windows users,

can you try again debugging this issue by using a debug build of PHP? You can download a w32 debug pack at http://www.php.net/downloads.php .
That should give you some more meaningful output in the log files.

If someone has the time and expertise to do some memory profiling, that would be helpful as well: What makes the test runner consume so much
memory?

#10 - 2008-06-05 17:01 - Karsten Dambekalns
- Status changed from Needs Feedback to Resolved
- % Done changed from 0 to 100

Applied in changeset r910.
